%define pbuild %{_builddir}/%{name}-%{version}/acc
%define app_root %{_datadir}/ace/%{name}

Summary: 		Appliance Configuration Console Web UI
Name: 			ace-console-wui
Version: 		0.0.3
Release: 		3%{?dist}

Group: 				Applications/System
License: 			LGPLv2+
URL: 				http://www.thincrust.net
Source0: 			%{url}/download/%{name}-%{version}.tar.gz
BuildRoot: 			%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 			noarch
Requires:			ruby(abi) = 1.8
Requires: 			rubygem(mongrel) >= 1.0.1
Requires: 			rubygem(pam) >= 0.6
Requires: 			rubygem(rails)
Requires: 			ace
Requires(post): 	chkconfig
Requires(preun):	chkconfig
Requires(postun):	chkconfig


%description
The thincrust appliance configuration console wui

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}
%{__install} -d -m0755 %{name} %{buildroot}%{_initrddir}
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/db
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/log/%{name}
%{__install} -d -m0755 %{buildroot}%{_localstatedir}/run/%{name}
%{__install} -d -m0755 %{buildroot}%{app_root}
%{__install} -d -m0755 %{buildroot}/etc/pam.d

# copy over all of the src directory...
%{__cp} -a %{pbuild}/* %{buildroot}%{app_root}
%{__cp} %{_builddir}/%{name}-%{version}/COPYING %{buildroot}%{app_root}
%{__mv} %{buildroot}%{app_root}/config/init.d/%{name} %{buildroot}%{_initrddir}

# move configs to /etc, keeping symlinks for Rails
%{__mv} %{buildroot}%{app_root}/config/database.yml %{buildroot}%{_sysconfdir}/%{name}
%{__mv} %{buildroot}%{app_root}/config/init.d/ace-console-wui.sysconf %{buildroot}%{_sysconfdir}/%{name}
%{__mv} %{buildroot}%{app_root}/config/environments/development.rb %{buildroot}%{_sysconfdir}/%{name}
%{__mv} %{buildroot}%{app_root}/config/environments/production.rb %{buildroot}%{_sysconfdir}/%{name}
%{__mv} %{buildroot}%{app_root}/config/environments/test.rb %{buildroot}%{_sysconfdir}/%{name}
%{__mv} %{buildroot}%{app_root}/config/logrotate/%{name} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__ln_s} %{_sysconfdir}/%{name}/database.yml %{buildroot}%{app_root}/config
%{__ln_s} %{_sysconfdir}/%{name}/development.rb %{buildroot}%{app_root}/config/environments
%{__ln_s} %{_sysconfdir}/%{name}/production.rb %{buildroot}%{app_root}/config/environments
%{__ln_s} %{_sysconfdir}/%{name}/test.rb %{buildroot}%{app_root}/config/environments

%{__rm} -rf %{buildroot}%{app_root}/tmp 
%{__mkdir} %{buildroot}%{_localstatedir}/lib/%{name}/tmp
%{__ln_s} %{_localstatedir}/lib/%{inst_name}/tmp %{buildroot}%{app_root}/tmp

#Copy over the pam files
%{__mv} %{buildroot}%{app_root}/pam/%{name}  %{buildroot}/etc/pam.d/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_initrddir}/ace-console-wui
%attr(-, root, root) %{_localstatedir}/lib/%{name}
%attr(-, root, root) %{_localstatedir}/run/%{name}
%attr(-, root, root) %{_localstatedir}/log/%{name}
%{app_root}
%doc %{app_root}/COPYING
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/db
%config(noreplace) /etc/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ace-console-wui.sysconf
%config(noreplace) %{_sysconfdir}/%{name}/database.yml
%config(noreplace) %{_sysconfdir}/%{name}/development.rb
%config(noreplace) %{_sysconfdir}/%{name}/production.rb
%config(noreplace) %{_sysconfdir}/%{name}/test.rb
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ] ; then
	/sbin/service ace stop >/dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%changelog
* Wed Sep 24 2008 Bryan Kearney <bkearney@redhat.com> 0.0.3-3
- Comments from David Lutterkort and Bill Nottingham

* Fri Sep 19 2008 Bryan Kearney <bkearney@redhat.com> 0.0.3-2
- Submit For Fedora Packaging Process

* Thu Sep 18 2008 Bryan Kearney <bkearney@redhat.com> 0.0.3-1
- Begin Fedora Packaging Process

* Thu Jul 17 2008 Bryan Kearney <bkearney@redhat.com> 0.0.2-1
- Converted to puppet syntax

* Thu Mar 26 2008 Bryan Kearney <bkearney@redhat.com> 0.0-1
- Initial packaging

